Index: c/src/lib/libbsp/arm/gba/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/arm/gba/startup/linkcmds	(revision 6d9ab345e26377e920df91e83c5987f8c2b27f38)
+++ c/src/lib/libbsp/arm/gba/startup/linkcmds	(revision df6818f915efcf7c1d0284395a2ff21087fb5266)
@@ -377,4 +377,6 @@
   .debug_pubtypes 0 : { *(.debug_pubtypes) }
   .debug_ranges   0 : { *(.debug_ranges) }
+  /* DWARF extension */
+  .debug_macro    0 : { *(.debug_macro) }
   .ARM.attributes 0 : { KEEP (*(.ARM.attributes)) KEEP (*(.gnu.attributes)) }
   .note.gnu.arm.ident 0 : { KEEP (*(.note.gnu.arm.ident)) }
Index: c/src/lib/libbsp/arm/shared/startup/linkcmds.base
===================================================================
--- c/src/lib/libbsp/arm/shared/startup/linkcmds.base	(revision 6d9ab345e26377e920df91e83c5987f8c2b27f38)
+++ c/src/lib/libbsp/arm/shared/startup/linkcmds.base	(revision df6818f915efcf7c1d0284395a2ff21087fb5266)
@@ -425,4 +425,6 @@
 	.debug_pubtypes 0 : { *(.debug_pubtypes) }
 	.debug_ranges   0 : { *(.debug_ranges) }
+	/* DWARF extension */
+	.debug_macro    0 : { *(.debug_macro) }
 	.ARM.attributes 0 : { KEEP (*(.ARM.attributes)) KEEP (*(.gnu.attributes)) }
 	.note.gnu.arm.ident 0 : { KEEP (*(.note.gnu.arm.ident)) }
Index: c/src/lib/libbsp/i386/pc386/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/i386/pc386/startup/linkcmds	(revision 6d9ab345e26377e920df91e83c5987f8c2b27f38)
+++ c/src/lib/libbsp/i386/pc386/startup/linkcmds	(revision df6818f915efcf7c1d0284395a2ff21087fb5266)
@@ -242,4 +242,6 @@
   .debug_pubtypes 0 : { *(.debug_pubtypes) }
   .debug_ranges   0 : { *(.debug_ranges) }
+  /* DWARF extension */
+  .debug_macro    0 : { *(.debug_macro) }
   .gnu.attributes 0 : { KEEP (*(.gnu.attributes)) }
   /DISCARD/ : { *(.note.GNU-stack) *(.gnu_debuglink) }
Index: c/src/lib/libbsp/m32r/m32rsim/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/m32r/m32rsim/startup/linkcmds	(revision 6d9ab345e26377e920df91e83c5987f8c2b27f38)
+++ c/src/lib/libbsp/m32r/m32rsim/startup/linkcmds	(revision df6818f915efcf7c1d0284395a2ff21087fb5266)
@@ -229,4 +229,6 @@
   .debug_pubtypes 0 : { *(.debug_pubtypes) }
   .debug_ranges   0 : { *(.debug_ranges) }
+  /* DWARF extension */
+  .debug_macro    0 : { *(.debug_macro) }
   .gnu.attributes 0 : { KEEP (*(.gnu.attributes)) }
   /* PROVIDE (_stack = 0x800000); */
Index: c/src/lib/libbsp/powerpc/gen5200/startup/linkcmds.base
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/startup/linkcmds.base	(revision 6d9ab345e26377e920df91e83c5987f8c2b27f38)
+++ c/src/lib/libbsp/powerpc/gen5200/startup/linkcmds.base	(revision df6818f915efcf7c1d0284395a2ff21087fb5266)
@@ -318,4 +318,6 @@
 	.debug_pubtypes 0 : { *(.debug_pubtypes) }
 	.debug_ranges   0 : { *(.debug_ranges) }
+	/* DWARF extension */
+	.debug_macro    0 : { *(.debug_macro) }
 	.gnu.attributes 0 : { KEEP (*(.gnu.attributes)) }
 
Index: c/src/lib/libbsp/powerpc/psim/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/powerpc/psim/startup/linkcmds	(revision 6d9ab345e26377e920df91e83c5987f8c2b27f38)
+++ c/src/lib/libbsp/powerpc/psim/startup/linkcmds	(revision df6818f915efcf7c1d0284395a2ff21087fb5266)
@@ -276,4 +276,9 @@
   .debug_typenames 0 : { *(.debug_typenames) }
   .debug_varnames  0 : { *(.debug_varnames) }
+  /* DWARF 3 */
+  .debug_pubtypes 0 : { *(.debug_pubtypes .zdebug_pubtypes) }
+  .debug_ranges   0 : { *(.debug_ranges .zdebug_ranges) }
+  /* DWARF extension */
+  .debug_macro    0 : { *(.debug_macro) }
   /* These must appear regardless of  .  */
 }
Index: c/src/lib/libbsp/powerpc/shared/startup/linkcmds.base
===================================================================
--- c/src/lib/libbsp/powerpc/shared/startup/linkcmds.base	(revision 6d9ab345e26377e920df91e83c5987f8c2b27f38)
+++ c/src/lib/libbsp/powerpc/shared/startup/linkcmds.base	(revision df6818f915efcf7c1d0284395a2ff21087fb5266)
@@ -390,4 +390,6 @@
 	.debug_pubtypes 0 : { *(.debug_pubtypes .zdebug_pubtypes) }
 	.debug_ranges   0 : { *(.debug_ranges .zdebug_ranges) }
+	/* DWARF extension */
+	.debug_macro    0 : { *(.debug_macro) }
 	.gnu.attributes 0 : { KEEP (*(.gnu.attributes)) }
 	.PPC.EMB.apuinfo 0 : { *(.PPC.EMB.apuinfo) }
Index: c/src/lib/libbsp/powerpc/tqm8xx/startup/linkcmds.base
===================================================================
--- c/src/lib/libbsp/powerpc/tqm8xx/startup/linkcmds.base	(revision 6d9ab345e26377e920df91e83c5987f8c2b27f38)
+++ c/src/lib/libbsp/powerpc/tqm8xx/startup/linkcmds.base	(revision df6818f915efcf7c1d0284395a2ff21087fb5266)
@@ -306,4 +306,6 @@
 	.debug_pubtypes 0 : { *(.debug_pubtypes) }
 	.debug_ranges   0 : { *(.debug_ranges) }
+	/* DWARF extension */
+	.debug_macro    0 : { *(.debug_macro) }
 	.gnu.attributes 0 : { KEEP (*(.gnu.attributes)) }
 
